package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag700;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT700Creator;

/**
 * @author gechengyang
 * @date 2023/2/18
 */
public class Tag40ACreator extends AbsTagCreate {

     private MT700Creator mt700Creator;

    public Tag40ACreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt700Creator= (MT700Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag40AValue = mt700Creator.getFormofDocumentaryCredit();
        mt700Creator.set("40A", tag40AValue);
    }
}
